Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class ContainerInfoBuilderContextImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.ContainerInfoBuilderContextImpl

All Implemented Interfaces:
  ContainerInfoBuilderContext

    public class ContainerInfoBuilderContextImpl

extends java.lang.Object
implements ContainerInfoBuilderContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerInfoBuilderContextImpl(PortletApplication10MetaData metaData, org.jboss.portal.web.WebApp webApp)`

Method Summary
`java.lang.String` | `getApplicationName()`
`org.jboss.portal.common.i18n.ResourceBundleManager` | `getBundleManager()`
`org.jboss.portal.common.i18n.ResourceBundleManager` | `getBundleManager(PortletMetaData portletMD)`
`java.lang.Class` | `getClass(java.lang.String className)` Obtains a class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerInfoBuilderContextImpl

    public ContainerInfoBuilderContextImpl(PortletApplication10MetaData metaData,
                                           org.jboss.portal.web.WebApp webApp)

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

  Specified by:
    `getApplicationName` in interface `ContainerInfoBuilderContext`

### getBundleManager

    public org.jboss.portal.common.i18n.ResourceBundleManager getBundleManager()

  Specified by:
    `getBundleManager` in interface `ContainerInfoBuilderContext`

### getBundleManager

    public org.jboss.portal.common.i18n.ResourceBundleManager getBundleManager(PortletMetaData portletMD)

  Specified by:
    `getBundleManager` in interface `ContainerInfoBuilderContext`

### getClass

    public java.lang.Class getClass(java.lang.String className)
                             throws java.lang.IllegalArgumentException,
                                    org.jboss.portal.common.reflect.NoSuchClassException

  Description copied from interface: `ContainerInfoBuilderContext`
  Obtains a class.

  Specified by:
    `getClass` in interface `ContainerInfoBuilderContext`
  Parameters:
    `className` - the class name
  Returns:
    the specified class
  Throws:
    `java.lang.IllegalArgumentException` - if the className argument is null
    `org.jboss.portal.common.reflect.NoSuchClassException` - is the class cannot be loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.